Jump to content
devries

Thac and Zé's KDE 3.5 beta rpms, bugs and problems

Recommended Posts

* The srpms are not available.

 

Question for Thac: do depend those rpm's again on PLF and contrib?

And do they depend on a different xorg version than the version that comes with MDV 2006?

 

Thanks,

 

chris

Share this post


Link to post
Share on other sites

* The srpms are not available.

They will be in a little while

 

Question for Thac: do depend those rpm's again on PLF and contrib?

yes

 

And do they depend on a different xorg version than the version that comes with MDV 2006?

yes

Edited by thac

Share this post


Link to post
Share on other sites

First problems: artsdsp doesn't work (for example artsdsp opera gives 'artsdsp works only for binaries'

 

Kicker: transparency doesn't work (it only works if you edit the kickerrc by hand. same goes for hide/vie applet handles)

Share this post


Link to post
Share on other sites
First problems: artsdsp doesn't work (for example artsdsp opera gives 'artsdsp works only for binaries'

 

Kicker: transparency doesn't work (it only works if you edit the kickerrc by hand. same goes for hide/vie applet handles)

 

I would like to clarify some aspects, in first place remember this is still -kde-3.5.0 beta, so its to expect that some bugs will appear, like for example kicker log out crashes still arent all fixed, remains one to be fixed, arts still crashes some times, and other apps bugs, but these are minor bugs, they dont stop you from using this goog kde-3.5.0, so you see these are all kde specific bugs that are going being resolved by who knows well the kde source code, kde developers.

 

In what i can, i will resolve things, for example i have just made a new kdelibs and kdebase that have a new kdm, a konq fix, and other kicker fix, go check in our site.

 

As Thac told i have been using this kde for more then one month, since it was released in branch_3.5, and just now i decided to realease it, since now i see that is more stable.

 

If i had released some time ago than you would have many complaines...

Share this post


Link to post
Share on other sites

Thanks for clarifying :). I've been playing with kde 3.5 some and as far as I can see it is good enough for my use. However other people might get annoyed with some of these bugs so it's better to mention them.

 

Another one: noatun makes arts crash :)

Share this post


Link to post
Share on other sites

Another one: noatun makes arts crash :)

 

yes we will try to get that fixed

 

but you can test the new amarok-1.3.4 that i added instead

 

i did also add latest k3b built with kmonkeyaudioplugin

Share this post


Link to post
Share on other sites

I have built missing akode-2.0b3 and a new kdemultimedia built with akodes and oggvorbis support.

Please test theese two if it solves any of the multimedia arts bugs.

Share this post


Link to post
Share on other sites

I tried downloading latest packages but got a download error (kdemultimedia wasn't listed at all). I guess you're syncing the mirror. I'll try tomorrow.

Share this post


Link to post
Share on other sites

Ok installed the latest packages. I´m afraid it didn´t solve the old problems and created a new one: The arts engine for amarok no longer works.

 

Other then these problems it´s working great. Definately worth the upgrade.

Share this post


Link to post
Share on other sites

finally found out what is causing the noatun bug and probably some more related to arts

 

it as so many times before a gcc bug

 

anyway zé is building a new kdebase with the workaround added

 

I will announce when available

Share this post


Link to post
Share on other sites

I gave kde3.5 a pretty good try on my Mandriva2006-Official. It looked really good, but sound notification, namely arts would not work no matter what I tried. The biggest problem was a steady stream of crash error messages related to kded about every 20 to 30 seconds.

The next problem was a repeat of the early kdm debacle when kde 3.4 was first released. I had to do the same workarounds of installing gdm to use instead of kdm.

When I originally did the 3.5 install (done in init 3), I didn't get the crash messages but by doing a systematic check I found that kdebase-common was not installed. Went into MCC and selected the package and ran the install. It seemed to run mormally but a check revealed that it had not been installed. Tried 5 times, no success. Tried from from a console but still no success.

Took the bull by the horns and did an uninstall of 3.5 and then a reinstall, all from the cli.

This time I watched the entire procedure and discovered that the install passed by 22 packages it had problems with. I kicked the install into motion again and this time 10 packages were bypassed so kicked the install this 3rd time and all packages were finally completed. Had not rebooted but everything seemed to work AOK. Decided to reboot and after getting past the login problem with the usual workaround, then the crash messages started. All referred to kded. Kat was never included in the install so it had nothing to do with it as others have experienced.

I tolerated the crash problem for about 2 days and tried to find what caused it but have now entirely deleted kde3.5 and reinstalled kde3.4. Going back to 3.4 was quite an experience because the system refused to go back to and install older dated software packages initially. So I had to work out a way to get around that problem and to my great pleasure and surprise, I succedded.

 

I feel a little pleased with myself for having learnt a lot more about the system workings which are becoming much less a mystery to me.

I will still be following kde3.5, it really is nice.

 

Cheers Thac and collegues. John.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...